#
# spec file for package gedit (Version 2.16.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           gedit
BuildRequires:  aspell-devel docbook_4 gettext gnome-common gnome-doc-utils-devel gnome-icon-theme gnome-patch-translation gnome-python-desktop gnutls-devel gtk-doc gtksourceview-devel indent intltool kdelibs3-doc libglade2-devel libgnomeprintui-devel libidl-devel mDNSResponder-devel perl-XML-Parser python-devel python-gobject2-devel python-gtk-devel scrollkeeper update-desktop-files
License:        GNU General Public License (GPL)
Group:          Productivity/Editors/Other
Version:        2.16.1
Release:        46
Summary:        The Editor for the GNOME 2.x Desktop
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gedit/2.10/%{name}-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       gedit2
Obsoletes:      gedit2
Patch1:         gedit-default-plugins.patch
Patch2:         gedit-desktop.patch
Patch4:         gedit-autodetect-utf-16.patch
Requires:       python-gtk python-gobject2 python-gnome gnome-icon-theme gnome-python-desktop python-xml
Provides:       %{name}-devel = %{version}-%{release}
Autoreqprov:    on

%gconf_schemas_prereq

%description
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%package devel
Summary:        The Editor for the GNOME 2.x Desktop
Group:          Productivity/Editors/Other
Provides:       gedit2-devel
Obsoletes:      gedit2-devel
Requires:       libgnomeui-devel libglade2-devel libgnomeprintui-devel gtksourceview-devel

%description devel
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%package doc
Summary:        The Editor for the GNOME 2.x Desktop
Group:          Productivity/Editors/Other
Requires:       libgnomeui-devel libglade2-devel libgnomeprintui-devel gtksourceview-devel

%description doc
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%prep
%setup -q
gnome-patch-translation-prepare
%patch1 -p1
%patch2 -p1
%patch4
gnome-patch-translation-update

%build
autoreconf -f -i
# FIXME: Build as root modifies system!
#   gedit-2.16.1: --disable-scrollkeeper does not work properly. 
%configure\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# FIXME: Build as root modifies system!
#   gedit-2.16.1: --disable-scrollkeeper does not work properly. 
rm -r $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps/
ln -s ../icons/gnome/scalable/apps/text-editor.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%suse_update_desktop_file -N gedit -G "Text Editor" gedit TextEditor
for xml in $RPM_BUILD_ROOT%{_datadir}/gnome/help/gedit/*/gedit.xml; do
    meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done
%find_lang %{name}
%find_gconf_schemas
cat %{name}.lang %{name}.schemas_list >%{name}.lst
rm $RPM_BUILD_ROOT%{_libdir}/*/*/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING MAINTAINERS NEWS README TODO
%{_bindir}/gedit
%{_bindir}/gnome-text-editor
%{_datadir}/applications/*.desktop
%{_datadir}/gedit-2
%{_datadir}/omf/gedit
%{_datadir}/pixmaps/*.svg
%{_libdir}/gedit-2
%doc %{_mandir}/man1/gedit*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gedit

%changelog
* Mon Mar 12 2007 - jhargadon@suse.de
- added gtk-doc to BuildRequires
* Wed Jan 17 2007 - sbrabec@suse.cz
- Removed obsolete scrollkeeper directory (#230786).
* Wed Jan 03 2007 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 14 2006 - jhargadon@suse.de
- made changes to the BuildRequires and Requires to enable python
  plugins.  defect #220820
* Fri Oct 13 2006 - danw@suse.de
- Remove dead patches. Update and reenable gedit-autodetect-utf-16.patch
- Update for gnome-doc-utils-devel
* Tue Oct 03 2006 - jhargadon@suse.de
- update to version 2.16.1
- Remember the active page in the side and bottom panes
- Fix spinner with some themes
- Some fixes to the file saving code
- Filebrowser plugin fixes
- translation updates
* Thu Sep 14 2006 - jhargadon@suse.de
- update to version 2.16.0
- Filebrowser plugin fixes
- Manual now covers basic usage of the file browser plugin
- New and updated translations
- Use proper preference when a modeline is changed
- Ensure correct lifecycle of objects in python plugins
- Proper error handling for remote file save
- Improve save on close for read-only files
- Handle remote zero length files correctly
- Make sure the document is editable after printing
- Consider the mime-type hierarchy to choose the syntax highlighting
- Initialize gnome authentication manager before plugins
- Misc improvements and bugfixes
* Wed Aug 30 2006 - jhargadon@suse.de
- update to version 2.15.8
- Update documentation
- Drop executable permissions from backup files
- Support for UTF-16LE, UTF-16BE and UTF-32
- Fix translations of some plugins
- Plug some memory leaks
- Fix another crash in GtkRecents code
- Misc improvements and bugfixes
- New and updated translations
- Preserve xattrs when saving
- Fix autospell menu item state
- Fix crash in GtkRecents code
- Misc improvements and bugfixes
* Tue Aug 22 2006 - jhargadon@suse.de
- update to version 2.15.6
- Use GtkRecent for recent files support
- Raise the existing document when reopening a file
- File browser plugin bugfixes
- Misc improvements and bugfixes
* Thu Aug 10 2006 - jhargadon@suse.de
- update to version 2.15.4
- Bindings for gedit_commands_* API for plugins
- Small snippets bugfixes
- Small fixes to the search/replace dialog/menu
- Fix cropped close buttons
- Added global lockdown functionality
- New gedit_commands_* API for plugins
- Snippets support for space indentation
- gtk-doc enabled Plugin API documentation
- Next/Previous menu items
- C/Python plugin skeleton generator
- Snippets plugin enhancements and fixes
- Fix Spellchecker to work with Arabic
- New layout for Plugin Manager
- Add support for custom plugin icons
- Snippets plugin enhancements and fixes
- Python bindings: gedit.utils functions and API cleanup
- Improve plugin selection UI
- Improvements and bugfixes to the snippets plugin
- do not open a new GdkDisplay for every window
- Fix launching on multihead systems
- Snippets plugin improvements
- Fix the python console history
- Fix vim and kate modelines parsing
- Fix the spell checking plugin
- Make the tags plugin load files lazily to improve startup time
* Thu Jun 29 2006 - sbrabec@suse.cz
- Fixed Norwegian translation update (#116777#12).
* Mon Jun 26 2006 - sbrabec@suse.cz
- Fixed false UTF-16 detection.
* Thu Jun 15 2006 - dave@suse.de
- Fix a problem with the save backport (bnc #181897)
* Wed May 17 2006 - dave@suse.de
- Backport some gnome-vfs saving code from 2.14 (bnc #168187)
* Tue May 09 2006 - danw@suse.de
- Don't crash if one of the recently-used files has an unparsable
  URL. #173887
* Fri Apr 07 2006 - sbrabec@suse.cz
- Declare MIME support for more plain text formats to compete with
  Emacs.
* Thu Apr 06 2006 - joeshaw@suse.de
- Add a patch to autodetect UTF-16.  (bnc #116777)
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added gnome-text-editor symlink to filelist
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Fri Aug 19 2005 - sreeves@suse.de
- gedit-goto-line.patch to fix bugzilla.novell.com defect#6582
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Mon Jun 13 2005 - sbrabec@suse.cz
- Updated to version 2.10.3 (#90339, CAN-2005-1686).
- Build spell plugin.
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.9.7
- Add gedit-desktop.patch
- Add gnome-icon-theme to neededforbuild
* Thu Feb 10 2005 - gekker@suse.de
- Update to version 2.9.6
* Tue Feb 08 2005 - ro@suse.de
- added gnome-desktop to neededforbuild
* Mon Feb 07 2005 - ro@suse.de
- added gnome-menus to neededforbuild
* Wed Jan 26 2005 - clahey@suse.de
- Update to version 2.9.5
* Fri Jan 21 2005 - gekker@suse.de
- Use Rudi's improved 64-bit fix
* Fri Jan 21 2005 - gekker@suse.de
- Fix the 64-bit build
* Thu Jan 20 2005 - gekker@suse.de
- Update to version 2.9.4
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Oct 26 2004 - mmj@suse.de
- Locale rename no to nb
* Tue Sep 21 2004 - sbrabec@suse.cz
- Fixed devel dependences.
* Wed Aug 25 2004 - clahey@suse.de
- Cache gedit docs and have gedit show up in khelpcenter.
* Wed Aug 04 2004 - clahey@suse.de
- Added gedit-default-plugins patch from Robert.
* Wed May 05 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Mon Mar 22 2004 - sbrabec@suse.cz
- Provide nad obsolete gedit2-devel.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
- Fixed %%doc attributes (#33163).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to gedit.
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Wed Jan 21 2004 - ro@suse.de
- fix pixmaps/Makefile.am
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 20 2003 - kukuk@suse.de
- Obsolete old gedit (solves file conflict)
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 04 2003 - ro@suse.de
- fix find_lang usage
* Wed Jul 02 2003 - hhetter@suse.de
- updated to version 2.2.2
- use find_lang
* Fri Jun 27 2003 - ro@suse.de
- added directories to filelist
* Wed Jun 11 2003 - ro@suse.de
- added unpackaged files to filelist
- remove .la files of plugins from buildroot
* Wed Feb 26 2003 - hhetter@suse.de
- fix build (use omf.make) (#24336)
- fix filelist (#24336)
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0
- filelist review
* Mon Jan 20 2003 - ro@suse.de
- update to 2.1.6
* Tue Jan 14 2003 - ro@suse.de
- added expat to neededforbuild
* Tue Nov 19 2002 - hhetter@suse.de
- updated to version 2.0.6
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Fri Nov 08 2002 - sbrabec@suse.cz
- Added --libdir to configure.
* Thu Nov 07 2002 - hhetter@suse.de
- updated to version 2.0.5
- %%_lib fixes
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Sep 13 2002 - sf@suse.de
- fixed to work on 64-bit archs
  call of eel_read_entire_file() was with &gsize instead of int,
  sizeof(gsize) == sizeof(long)
* Thu Aug 22 2002 - uli@suse.de
- fixed to build on lib64 archs
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 - ro@suse.de
- removed control-center from neededforbuild
* Mon Aug 12 2002 - ro@suse.de
- added openssl-devel to neededforbuild
* Fri Aug 09 2002 - hhetter@suse.de
- added openssl to neededforbuild
* Wed Jul 31 2002 - hhetter@suse.de
- fix build with scrollkeeper
- initiate scrollkeeper-update
* Thu Jul 25 2002 - jordi@suse.de
- updated to version 2.0.2
* Tue Jul 16 2002 - hhetter@suse.de
- updated to version 2.0.1, fix descriptions from
  bugzilla.gnome.org:
  [#75861] Deleting a file in use does not prompt for "save" on close
  [#76001] Should not save window geometry on exit
  [#86333] modality problem on info/message box
  [#87265] s/gedit/Text Editor?
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
* Wed Jun 19 2002 - hhetter@suse.de
- updated to version 2.0.0
* Thu Jun 13 2002 - hhetter@suse.de
- supply schema files
* Thu Jun 13 2002 - jordi@suse.de
- Updated to version 1.121.1
* Mon Apr 15 2002 - hhetter@suse.de
- initial SuSE release
